﻿﻿@{
    ViewData["Title"] = "Dashboard";
}
<link rel="stylesheet" type="text/css" href="https://cdn.jsdelivr.net/npm/gridstack@7.3.0/dist/gridstack.min.css" />
<div class="container">
    <div class="bg-white p-3 mb-1">
        <div class="d-flex justify-content-end">
            <div class="dropdown">
                <button class="btn btn-sm btn-outline-primary font-weight-bold dropdown-toggle" type="button" id="dropdownMenuButton" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                    Add Widget
                </button>
                <div class="dropdown-menu dropdown-menu-right" aria-labelledby="dropdownMenuButton" id="drp-widgets" style="cursor: not-allowed;"></div>
            </div>
        </div>
    </div>
    <div class="grid-stack"></div>
</div>
<div class="modal" id="ChartPreviewModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">
                    <span class="chart-title"></span>
                    <span class="spinner spinner-primary ml-5 d-none"></span>
                </h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <i aria-hidden="true" class="ki ki-close"></i>
                </button>
            </div>
            <div class="modal-body">
            </div>
        </div>
    </div>
</div>
<style>
    #kt_content {
        background-image: url(images/user-dashboard-bg.png);
    }
</style>
<script id="tax-prep-queue-activity-template" type="text/html">
    <div class="timeline-item align-items-start">
        <div class="timeline-label font-weight-bold">${getLocalDateTimeString(createdDate)}</div>
        <div class="timeline-badge">
            <i class="fa fa-genderless text-warning icon-xl"></i>
        </div>
        <div class="timeline-content pl-3">
            <span class="text-maroon font-weight-bold" role="button" data-toggle="tooltip" data-original-title="${actionByUserId > 0 ? actionByUser.userData.name : clientLogin.clientData.name}">
                ${actionByUserId > 0 ? actionByUser.username : clientLogin.username}
            </span> {{html $item.convertStringToHTML(message,clientLogin.username,clientLogin.clientData.name,actionByUserId)}}
        </div>
    </div>
</script>
@section scripts{
    <script type="text/javascript" src="https://cdn.jsdelivr.net/npm/gridstack@7.3.0/dist/gridstack-all.js"></script>
    <script src="~/js/page/user-dashboard.js" asp-append-version="true"></script>
}